Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Time-Out Voids


When no response message is received after requesting an authorization, authorization reversal, capture, or sale, this feature voids the requested transaction.

The original request for an authorization, authorization reversal, capture, or sale includes the clientReferenceInformation.transactionId field. The value of the merchant transaction ID must be unique for 180 days.

When the original transaction fails, the response message for the reversal request includes these fields:

  • voidAmountDetails.originalTransactionAmount
  • processorInformation.responseCode

Supported processor: Fiserv RapidConnect

Endpoints

POST /pts/v2/voids/

POST /pts/v2/voids/

Example

{  "clientReferenceInformation": {    "code": "123456789012",    "reconciliationId": "000000050000772",    "transactionId": "987654321"   },    "orderInformation": {        "amountDetails": {            "totalAmount": "100",            "currency": "USD"        }    }}
{    "submitTimeUtc": "2025-03-11T16:57:19Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500039"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "reconciliationId": "000000050000772",    "id": "7417122396283232235535",    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7417122396283232235535"        }    },    "status": "VOIDED"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.reconciliationId—
clientReferenceInformation.transactionId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.